<?php
    // retrieve data from form
    $investment = filter_input(INPUT_POST, 'investment',
        FILTER_VALIDATE_FLOAT);
    $years = filter_input(INPUT_POST, 'years',
        FILTER_VALIDATE_INT);
    $rate = filter_input(INPUT_POST, 'rate',
        FILTER_VALIDATE_FLOAT);

    // validate form submissions
    if ($investment === FALSE ) {
        $error_message = 'Investment must be a valid number.'; 
    } else if ( $investment <= 0 ) {
        $error_message = 'Investment must be greater than zero.'; 
    } else if ( $years === FALSE ) {
        $error_message = 'Years must be a valid whole number.';
    } else if ( $years <= 0 ) {
        $error_message = 'Years must be greater than zero.';
    } else if ( $years > 30 ) {
        $error_message = 'Years must be less than or equal to 30.';
    } else if ( $rate <= 0 ) {
        $error_message = 'Interest rate must be greater than zero.';
    } else if ( $rate > 20 ) {
        $error_message = 'Interest rate must be less than or equal to 20.';
    } else {
        $error_message = ''; 
    }

    // if an error message exists, go back to the Future Value Calculator page
    if ($error_message != '') {
        //something needed here
    }

    // calculate the future value and create table
    $future_value = $investment;
    $i = 1;
    $table = "<table border='1'><tr><td>Year</td><td>Value</td></tr>";
        while ($i <= $years)
            {
            //calculate table rows
            $i = $i + 1;
            }
            $table = $table . "</table>";

    // apply currency and percent formatting
    
?>
<!DOCTYPE html>
<html>
<head>
    <title>Future Value Calculator</title>
    <link rel="stylesheet" type="text/css" href="main.css">
</head>
<body>
    <main>
        <?php include('header.php')?>
        <h1>Future Value Calculator</h1>
        <label>Investment Amount:</label>
        <span><?php echo ''; ?></span><br>

        <label>Yearly Interest Rate:</label>
        <span><?php echo ''; ?></span><br>

        <label>Number of Years:</label>
        <span><?php echo ''; ?></span><br>
        
        <label>Future Value:</label>
        <span><?php echo ''; ?></span><br>
        
        <hr>
        <?php echo '';?>
        
        <?php include('footer.php')?>
    </main>
</body>
</html>
